## warpinator 1.1.1

=== meson_options.txt ===
option('desktop-id',
    type : 'string',
    value : 'warpinator',
    description: 'Name of the desktop file and desktop file icon.'
)
option('include-firewall-mod',
    type: 'boolean',
    value: true,
    description: 'Include the script/functionality that allows Warpinator to open firewall ports using ufw.'
)

## warpinator 1.0.4+git20200605

=== debian/changelog ===
warpinator (1.0.4+git20200605-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream source for MX-19.
  * change debian/source/format to quilt.
  * control: add python3-netifaces as dependency.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Fri, 05 Jun 2020 15:23:41 -0400

warpinator (1.0.4) ulyana; urgency=medium

  [ Michael Webster ]
  * debian/control: Add policykit-1 dependency for build.
  * Handle shutdowns better, add better logging tweak some keepalive bits.
  * Kill the process if it's taking an excessive amount of time to perform an orderly shutdown.
  * Startup: Add argument parser, option to enable debug output.
  * remote: Make ping suppression during a transfer happen on both ends of the connection.
  * Use a lock on the info updated trigger, there can be some collision on slower machines at startup.
  * Clean up server, remote code.
  * shutdown: Improve cleanup handling, shutdown gracefully when a quit is received (kill command or session manager).
  * Increase discovery flush time, and extend the initialization view for a longer time to account for it.
  * logging: Don't be so verbose with normal operation, and show info with a simpler format.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2020 12:43:45 +0100

warpinator (1.0.3) ulyana; urgency=medium

  [ Michael Webster ]
  * Generate a unique identifier for the server that will be used in the service name.
  * Don't allow a remote to be considered 'online' until we actually have a duplex connection (both local and remote have discovered one another and connected successfully.
  * prefs: Restart the server when the firewall rules are updated.
  * testmode: Fix it again, use a real shutdown sequence.
  * warpinator.py: Increase the startup timer ("Initializing...") and double it when we're restarting.

  [ Clement Lefebvre ]
  * l10n: Add translations
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 11:31:40 +0100

warpinator (1.0.2) ulyana; urgency=medium

  [ Michael Webster ]
  * prefs: Have the firewall button add an exception instead of just a picture showing how.
  * util: Fix wrong variable names in surface loader 'size-prepared' callback.
  * server: Stop using zeroconf properties to deliver the server cert.
  * util.py: Use org.freedesktop.FileManager1 interface to open the save folder and select the file if one is provided, otherwise just open the save folder.
  * all: Ensure a unique service name, and handle collisions gracefully internally and in the ui.
  * server: Clean remotes folder at shutdown.
  * remote.py: Use a threading.Event instead of time.sleep() for the ping timers.
  * warpinator.py: Don't leave the file monitor connected once the save folder is validated.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Apr 2020 16:50:32 +0100

warpinator (1.0.1) ulyana; urgency=medium

  [ Michael Webster ]
  * warpinator.py: Check for a valid save folder before attempting to start the server.
  * autostart: Always autostart, but check our setting in the starter script and exit immediately if autostart is disabled.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Apr 2020 11:18:04 +0100

warpinator (1.0.0) ulyana; urgency=medium

  [ Michael Webster ]
  * Fix test mode (again)
  * server.py: Don't remove an offline remote from our list, it may come back, and it's still listed in the UI. (regression from recent commits)
  * warpinator.py: Use button-sized icons.
  * ui: Update glade files

  [ JosephMcc ]
  * util.py: Remove the ugly border width form the file picker dialog
  * file-chooser: Set a parent for the dialog
  * main-window.ui: Set a list box selection property to None

  [ Michael Webster ]
  * prefs: give the firewall popup a transient-parent to prevent a warning, and don't allow it to be resized.

  [ slowscript ]
  * Use a better name for the zeroconf service

  [ Michael Webster ]
  * Add new icons for the fallback theme.
  * Remove markup from translatable strings.
  * Add translator notes for strings with Warpinator in them.
  * Add hidpi fallback icons, fix the folder names for the normal ones.

  [ Clement Lefebvre ]
  * l10n: Add POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Apr 2020 16:29:17 +0100

warpinator (0.0.1) unstable; urgency=medium

  * Initial development

 -- Michael Webster <miketwebster@gmail.com>  Tue, 11 Feb 2020 12:47:33 -0500

=== debian/control ===
Source: warpinator
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 meson (>= 0.45.0),
 policykit-1,
 python3-grpc-tools (>= 1.14.0),
 python3-protobuf (>= 3.6.1),
 gobject-introspection
Standards-Version: 3.9.6

Package: warpinator
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0 (>= 3.20.0),
 gir1.2-xapp-1.0 (>= 1.6.0),
 python3,
 python3-gi,
 python3-setproctitle,
 python3-xapp (>= 1.6.0),
 python3-zeroconf,
 python3-grpcio (>= 1.16.0),
 python3-protobuf (>= 3.6.1),
 python3-cryptography,
 python3-nacl,
 python3-netifaces,
 ${misc:Depends},
 ${python3:Depends}
Description: Allows simple local network file sharing.

## warpinator 1.0.6

=== debian/changelog ===
warpinator (1.0.6-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * change debian/source/format to quilt.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Fri, 10 Jul 2020 13:52:26 -0400

warpinator (1.0.6) ulyana; urgency=medium

  [ Michael Webster ]
  * util.py: Only use org.freedesktop.FileManager1 to reveal and select normal files.
  * warpinator.py: Disable the clear-ops button in the user view if there aren't any ops.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 13:24:44 +0100

warpinator (1.0.5) ulyana; urgency=medium

  [ Michael Webster ]
  * server: Remove zeroconf ttl adjustments, they're not supported in python zeroconf 19.1 (used in mint 19).
  * util.py: Use native enums for file types.
  * Connection reliability improvements and some other refactoring.
  * remote: Limit duplex phase to 10 attempts, before waiting 30s to try a new connection.
  * Use a global thread pool for all remotes.  Allow adjustment of server and remote thread pools for debugging purposes.
  * notifications: Add a cancelled notification, in the case of the remote computer cancelling a transfer (in either direction).
  * Improve logging
  * remote: Track the connection loop by its thread's life, rather than our own accounting, it's more reliable.
  * warpinator.py: catch any exception for disconnecting our shutdown callback - it may either be empty or glib can throw that there's nothing to disconnect (why? This should silently fail).
  * server: Ignore services that appear to be on a different subnet.
  * discovery: Check for tunneling netmask.
  * notifications.py: Improve some wording.
  * debian/control: add missing dependency.
  * transfers: Remove some useless code.
  * prefs.py: Default to a 'Warpinator' folder in the home folder, rather than the home folder itself.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:22:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: warpinator
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 10),
  dh-python,

## warpinator 1.0.8

=== debian/changelog ===
warpinator (1.0.8-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 31 Aug 2020 00:56:02 -0400

warpinator (1.0.8) ulyana; urgency=medium

  [ Michael Webster ]
  * Fix appdata file.
  * Add new dependency to debian/control.
  * desktop file: Use new icon name.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Aug 2020 10:31:06 +0100

warpinator (1.0.7) ulyana; urgency=medium

  [ Michael Webster ]
  * Update README.md.
  * makepot: Add scan for polkit file.
  * Accommodate flatpak builds.
  * about dialog: Show if this is a flatpak running.
  * Preserve file permissions on target machine.
  * transfers.py: Simplify symbolic link handling.  They should be transferred without any sort of modification to their target to accomodate the recipient's save folder.
  * file chooser: Update the recent list with sent files, but only when the selection was a single item.
  * transfers.py: Handle more errors during local fileinfo gathering.
  * util.py: Remember the last location for the send dialog.
  * Update protobuf files.
  * appdata xml: Add a note to not translate 'Warpinator'.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Aug 2020 10:30:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: warpinator
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
+ appstream,
  debhelper (>= 10),
  dh-python,
  gnome-pkg-tools (>= 0.10),
@@ -30,6 +32,7 @@
  python3-cryptography,
  python3-nacl,
  python3-netifaces,
+ python3-packaging,
  ${misc:Depends},
  ${python3:Depends}
 Description: Allows simple local network file sharing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

override_dh_auto_configure:
	rm -rf debian/build
	mkdir -p debian/build
	meson debian/build --prefix=/usr

override_dh_auto_build:
	ninja -C debian/build

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

## warpinator 1.1.1

=== debian/changelog ===
warpinator (1.1.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Jan 2021 16:38:48 +0000

warpinator (1.1.1) ulyssa; urgency=medium

  * l10n: Update translations.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:38:48 +0000

warpinator (1.1.0) ulyssa; urgency=medium

  * l10n: Update translations.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:41:08 +0000

warpinator (1.0.9) ulyssa; urgency=medium

  [ Michael Webster ]
  * Add flatpak folder with dependency info.
  * Fix the icon name in a few other missed spots.
  * appstream: Better screenshots.
  * Update appdata screenshots.
  * meson.build: Add a reminder to update the appdata file when tagging a new version.

  [ Angedestenebres ]
  * Add new dependency
  * Update README.md
  * Update README.md

  [ Elagost ]
  * add rpm specfile (#62)

  [ Michael Webster ]
  * warpinator.py: Add favorites to the send menus, move recents to its own submenu.

  [ slowscript ]
  * Put IP address into correct field on the certificate

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Dec 2020 14:13:18 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Depends:
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0 (>= 3.20.0),
- gir1.2-xapp-1.0 (>= 1.6.0),
+ gir1.2-xapp-1.0 (>= 1.9.0),
  python3,
  python3-gi,
  python3-setproctitle,

## warpinator 1.1.1+debbie

=== debian/changelog ===
warpinator (1.1.1+debbie) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:38:48 +0000

## warpinator 1.1.2+git20210324

=== debian/changelog ===
warpinator (1.1.2+git20210324-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Add fixed xfce4-panel to depends to fix icon rendering.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 29 Mar 2021 20:56:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: warpinator
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
+ debhelper-compat (= 12),
  appstream,
- debhelper (>= 10),
  dh-python,
  gnome-pkg-tools (>= 0.10),
  meson (>= 0.45.0),
@@ -33,6 +32,7 @@
  python3-nacl,
  python3-netifaces,
  python3-packaging,
+ xfce4-panel (>= 4.14.1-2~),
  ${misc:Depends},
  ${python3:Depends}
 Description: Allows simple local network file sharing.

## warpinator 1.2.0

=== debian/changelog ===
warpinator (1.2.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Add python3-zeroconf (>= 0.27.1) to runtime depends.
  * Add patch to stop downloading of python3-zeroconf at build time.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 01 Jun 2021 20:25:11 -0400

warpinator (1.2.0) uma; urgency=medium

  [ Michael Webster ]
  * debian: modernize build.
  * Add .gitignore
  * status icon: Add a new icon to represent offline/error state.
  * warpinator.py: Fix status icon activation.
  * Update README.md.
  * Remove unused install script.
  * Allow bundling of zeroconf.
  * Don't insist on libxapp 2.0 - favorites aren't essential, and this allows warpinator to work on systems without the latest version.
  * Fix regressions caused by 0331df4d287561a.

  [ Balló György ]
  * Fix icon name on About dialog

  [ Michael Webster ]
  * warpinator.py: Fix status icon menus.
  * warpinator.py: Don't show the favorites submenu if there are no favorites.
  * Add libnm (network-manager) interface.
  * Various: Allow selection of network interface, improve registration and connection stability.
  * Update prefs and firewall script to accommodate new port setting.
  * util.py: Remove some unused remnants, add a utility debugging function.
  * auth.py: refactor, simplify - keys are no longer written to disk, so we only need to worry about the keyfile.
  * Add missing shebangs.
  * some cleanup
  * Add libnm dependency.
  * download_zeroconf.py: Only download the python module, not the empty py.typed file.
  * Hide warpinator's autostart entry.
  * prefs.py: Fix segfault when opening the prefs window for a second time and toggling the tray icon switch.
  * main-window.ui: Change a string in the troubleshooting page to reflect having multiple ports.
  * Transfers: Allow compression when both sides have support and have it enabled.
  * Show current network interface in the status bar next to the ip address, and some minor ui tweaks.
  * transfers: Make block size configurable (not user-exposed), optimize a couple of transfer details.

  [ Cobinja ]
  * Fix connecting to self
  * Retrieve complete ident

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 15:03:21 +0100

warpinator (1.1.2) ulyssa; urgency=medium

  [ Michael Webster ]
  * data/meson.build: populate the appdata file with version and date info.
  * build: Add 'flatpak-build' build option instead of relying on the build prefix.
  * Disable favorites and notification actions for flatpak versions.
  * server.py: Add update_service to make zeroconf happy.
  * build: Hardcode org.x.Warpinator desktop id, there's no need to have an option to change this just for flatpaks.
  * appdata: Update screenshots with proper shadows.
  * appdata: Update screenshot urls.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Feb 2021 10:27:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: warpinator
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper-compat (= 12),
  appstream,
@@ -20,19 +21,19 @@
 Depends:
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0 (>= 3.20.0),
- gir1.2-xapp-1.0 (>= 1.9.0),
+ gir1.2-xapp-1.0 (>= 1.6.0),
+ gir1.2-nm-1.0,
  python3,
  python3-gi,
  python3-setproctitle,
  python3-xapp (>= 1.6.0),
- python3-zeroconf,
  python3-grpcio (>= 1.16.0),
  python3-protobuf (>= 3.6.1),
  python3-cryptography,
  python3-nacl,
+ python3-netaddr,
  python3-netifaces,
- python3-packaging,
- xfce4-panel (>= 4.14.1-2~),
+ python3-zeroconf (>= 0.27.0),
  ${misc:Depends},
  ${python3:Depends}
 Description: Allows simple local network file sharing.

## warpinator 1.2.4

=== debian/changelog ===
warpinator (1.2.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Control: add python3-zeroconf version to depends, we use system version.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 28 Jul 2021 22:39:13 -0400

warpinator (1.2.4) uma; urgency=medium

  [ Michael Webster ]
  * Fix readme - dpkg-buildpackage doesn't need sudo and git checkout is optional.
  * file picker: Don't lose a multi-selection when enter is pressed.
  * warpinator.py: Fix connecting network monitor signals when starting out with a bad save folder.
  * warpinator.py: Use window.present_with_time().
  * warpinator.py: Use an empty string instead of null when there is no valid interface.
  * networkmonitor.py: Use a different connectivity check for older libnm.
  * server.py: Catch zeroconf failing to start.
  * networkmonitor.py: Don't check online state only when device or interface details change.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:17:57 +0100

warpinator (1.2.3) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:36 +0100

warpinator (1.2.2) uma; urgency=medium

  [ Michael Webster ]
  * debian/control: Add missing runtime dep for zeroconf.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Jun 2021 12:31:23 +0100

warpinator (1.2.1) uma; urgency=medium

  [ Michael Webster ]
  * Improve zeroconf handling and documentation.
  * debian/control: Add curl to build deps.
  * networkmonitor.py: Make get_ipv6() and get_ipv4() safe against a missing configuration.

  [ Tony ]
  * Improve the introduction of compilation methods (#89)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 10:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  appstream,
+ curl,
  dh-python,
  gnome-pkg-tools (>= 0.10),
  meson (>= 0.45.0),
@@ -33,6 +34,7 @@
  python3-nacl,
  python3-netaddr,
  python3-netifaces,
+ python3-ifaddr,
  python3-zeroconf (>= 0.27.0),
  ${misc:Depends},
  ${python3:Depends}

## warpinator 1.2.4%2Bdebbie

=== meson_options.txt ===
option('include-firewall-mod',
    type: 'boolean',
    value: true,
    description: 'Include the script/functionality that allows Warpinator to open firewall ports using ufw.'
)
option('flatpak-build',
    type: 'boolean',
    value: false,
    description: 'Adds a flag in config.py to allow certain necessary behavioral modifications when run as a flatpak'
)
option('bundle-zeroconf',
    type: 'boolean',
    value: true,
    description: 'python-zeroconf is actively developed, with api changes/breaks occasionally - it is safer to bundle a static version where permitted.'
)

=== debian/changelog ===
warpinator (1.2.4+debbie) uma; urgency=medium

  [ Michael Webster ]
  * Fix readme - dpkg-buildpackage doesn't need sudo and git checkout is optional.
  * file picker: Don't lose a multi-selection when enter is pressed.
  * warpinator.py: Fix connecting network monitor signals when starting out with a bad save folder.
  * warpinator.py: Use window.present_with_time().
  * warpinator.py: Use an empty string instead of null when there is no valid interface.
  * networkmonitor.py: Use a different connectivity check for older libnm.
  * server.py: Catch zeroconf failing to start.
  * networkmonitor.py: Don't check online state only when device or interface details change.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:17:57 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

## warpinator 1.2.5

=== debian/changelog ===
warpinator (1.2.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Control: add python3-zeroconf version to depends, we use system version.
  * Control: add xfce4-panel (>= 4.14.1-2~) because we want the fixed panel.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 29 Nov 2021 11:38:35 -0500

warpinator (1.2.5) una; urgency=medium

  [ Michael Webster ]
  * ufw-modify: Keep allowing udp+tcp on the main port for backward compatibility.
  * Go back to not using network-manager.
  * prefs.py: Don't break if lshw isn't available (like in a flatpak).
  * meson.build: Fix false reporting of zeroconf download when building as a flatpak.
  * Preserve file modification times during transfer.
  * Add 128x128 fullcolor icons.
  * Fix 128px icon names.
  * transfers.py: Log mtime using correct variable names when sending a file.

  [ Dušan Kazik ]
  * Add Slovak language to LINGUAS file

  [ Michael Webster ]
  * prefs.py: Fix typo in port dupe guard.

  [ Tony ]
  * README: Add dependencies (#91)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Nov 2021 11:05:28 +0000

## warpinator 1.2.6+una

=== debian/changelog ===
warpinator (1.2.6+una) una; urgency=medium

  [ Michael Webster ]
  * prefs.py: don't assume every interface listed by lshw has a 'product' key.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:51:44 +0000

## warpinator 1.2.9+git20220107

=== debian/changelog ===
warpinator (1.2.9+git20220107-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Control: add python3-zeroconf version to depends, we use system version.
  * Continue to include 001-dont-download-python3-zeroconf.patch.
  * Control: add xfce4-panel (>= 4.14.1-2~) because we want the fixed panel.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 Jan 2022 18:52:09 -0500

warpinator (1.2.9) una; urgency=medium

  [ Michael Webster ]
  * Add some flatpak build notes.
  * Transfers: Make transfers cancellable by the receiving computer once more.
  * server.py: Fix regression from 2cd3b660c that was preventing existing ops from being restarted by the sender.
  * transfers: Improve on 069cf5f57e6 by creating a generator object to wrap the origin response instead of returning two objects.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Jan 2022 13:54:59 +0000

warpinator (1.2.8) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:00:52 +0000

warpinator (1.2.7) una; urgency=medium

  [ Michael Webster ]
  * network: Improve interface detection in the monitor and preferences.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 11:30:03 +0000

warpinator (1.2.6) una; urgency=medium

  [ Michael Webster ]
  * prefs.py: don't assume every interface listed by lshw has a 'product' key.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:51:44 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0 (>= 3.20.0),
  gir1.2-xapp-1.0 (>= 1.6.0),
- gir1.2-nm-1.0,
  python3,
  python3-gi,
  python3-setproctitle,
@@ -36,6 +35,7 @@
  python3-netifaces,
  python3-ifaddr,
  python3-zeroconf (>= 0.27.0),
+ xfce4-panel (>= 4.14.1-2~),
  ${misc:Depends},
  ${python3:Depends}
 Description: Allows simple local network file sharing.

## warpinator 1.2.14%2Belsie

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,12 @@
 )
 option('bundle-zeroconf',
     type: 'boolean',
-    value: true,
+    value: false,
     description: 'python-zeroconf is actively developed, with api changes/breaks occasionally - it is safer to bundle a static version where permitted.'
 )
 
+option('bundle-grpc-with-py310',
+    type: 'boolean',
+    value: false,
+    description: 'grpc 1.30.2 is broken on Ubuntu 22.04. Setting this to true will bundle 1.46.3 IF python version is 3.10.'
+)

=== debian/changelog ===
warpinator (1.2.14+elsie) vanessa; urgency=medium

  [ Michael Webster ]
  * grpc: Use 1.44 instead of 1.46 for now - there is a polling issue in 1.46+ that causes excessive CPU use.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:38:59 +0100

warpinator (1.2.13) vanessa; urgency=medium

  [ Michael Webster ]
  * Add github link to the About dialog.
  * Explain how to debug the flatpak version

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:33:04 +0200

warpinator (1.2.12) vanessa; urgency=medium

  * UI: Add links to altinators
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 01 Jul 2022 16:59:31 +0200

warpinator (1.2.11) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 13:46:27 +0200

warpinator (1.2.10) vanessa; urgency=medium

  [ Michael Webster ]
  * Remove a comment that no longer applies.
  * auth.py: Limit the length of the zeroconf service name.
  * transfers: Don't try to set mtime or mode on symlinks, and fix folder permission setting.
  * Update readme.

  [ Vincent Vermeulen ]
  * make other platforms a bulleted list

  [ Michael Webster ]
  * Add some troubleshooting tips to the readme.

  [ Cobinja ]
  * Fix network device name fetching

  [ Vincent Vermeulen ]
  * Update README.md
  * Update README.md

  [ Michael Webster ]
  * build: Add an option to include grpc to workaround broken version in ubuntu 22.04.

  [ Clement Lefebvre ]
  * Add keywords to .desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jun 2022 15:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: warpinator
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper-compat (= 12),
  appstream,
@@ -13,7 +12,8 @@
  policykit-1,
  python3-grpc-tools (>= 1.14.0),
  python3-protobuf (>= 3.6.1),
- gobject-introspection
+ gobject-introspection,
+ python3-zeroconf,
 Standards-Version: 3.9.6
 
 Package: warpinator
@@ -34,8 +34,7 @@
  python3-netaddr,
  python3-netifaces,
  python3-ifaddr,
- python3-zeroconf (>= 0.27.0),
- xfce4-panel (>= 4.14.1-2~),
+ python3-zeroconf,
  ${misc:Depends},
  ${python3:Depends}
 Description: Allows simple local network file sharing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dbundle-grpc-with-py310=true

## warpinator 1.4.5%2Belsie

=== debian/changelog ===
warpinator (1.4.5+elsie) vera; urgency=medium

  [ Michael Webster ]
  * Move default save folder to ~/Downloads/Warpinator.
  * Only raise the window the first time it's noticed that the save folder is bad.
  * remote_registration: Do not loop registration attempts.

  [ hduelme ]
  * replace equality None check with identity None check (#152)

  [ Michael Webster ]
  * Update README.md firewall section, and update the ufw script.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Feb 2023 09:55:21 +0000

warpinator (1.4.4) vera; urgency=medium

  [ Michael Webster ]
  * transfers.py: Fix typo.
  * transfers.py: Add missing import.
  * Notifications: re-enable actions in the flatpak version.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Jan 2023 14:16:19 +0000

warpinator (1.4.3) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:19:08 +0000

warpinator (1.4.2) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:36:01 +0000

warpinator (1.4.1) vera; urgency=medium

  [ Michael Webster ]
  * auth.py: remove leftover self, and get_group_code() always needs to return a code.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 14:50:00 +0000

warpinator (1.4.0) vera; urgency=medium

  [ Michael Webster ]
  * Rework group code presentation and enforcement in preferences.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 10:56:04 +0000

warpinator (1.2.15) vera; urgency=medium

  [ Michael Webster ]
  * Add github workflow.

  [ dogey11 ]
  * Update README.md

  [ Michael Webster ]
  * transfers: Don't allow a received file to be saved outside of the transfer folder.
  * transfers: Use g_file_query_exists() instead of g_file_test().
  * transfers: Always remove existing files before beginning a transfer.
  * transfers: Use Pathlib.Path instead of GFile for path safety check.
  * Add a script to allow testing the preferences window directly.
  * Don't allow incoming transfers to fill the disk.

  [ Juliano Marcelino ]
  * Added instructions for Arch Linux via pacman (#144)

  [ Michael Webster ]
  * Check number of files received against the original request.
  * transfers: Change method used to check relative paths.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Nov 2022 11:37:29 +0000

warpinator (1.2.14) vanessa; urgency=medium

  [ Michael Webster ]
  * grpc: Use 1.44 instead of 1.46 for now - there is a polling issue in 1.46+ that causes excessive CPU use.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:38:59 +0100

## warpinator 1.4.5%2Buna

=== debian/changelog ===
warpinator (1.4.5+una) vera; urgency=medium

  [ Michael Webster ]
  * Move default save folder to ~/Downloads/Warpinator.
  * Only raise the window the first time it's noticed that the save folder is bad.
  * remote_registration: Do not loop registration attempts.

  [ hduelme ]
  * replace equality None check with identity None check (#152)

  [ Michael Webster ]
  * Update README.md firewall section, and update the ufw script.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Feb 2023 09:55:21 +0000

## warpinator 1.4.5%2Bvictoria

=== debian/changelog ===
warpinator (1.4.5+victoria) vera; urgency=medium

  [ Michael Webster ]
  * Move default save folder to ~/Downloads/Warpinator.
  * Only raise the window the first time it's noticed that the save folder is bad.
  * remote_registration: Do not loop registration attempts.

  [ hduelme ]
  * replace equality None check with identity None check (#152)

  [ Michael Webster ]
  * Update README.md firewall section, and update the ufw script.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Feb 2023 09:55:21 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  policykit-1,
  python3-grpc-tools (>= 1.14.0),
  python3-protobuf (>= 3.6.1),
- gobject-introspection,
- python3-zeroconf,
+ gobject-introspection
 Standards-Version: 3.9.6
 
 Package: warpinator
@@ -34,7 +33,6 @@
  python3-netaddr,
  python3-netifaces,
  python3-ifaddr,
- python3-zeroconf,
  ${misc:Depends},
  ${python3:Depends}
 Description: Allows simple local network file sharing.

## warpinator 1.4.5+una

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 )
 option('bundle-zeroconf',
     type: 'boolean',
-    value: false,
+    value: true,
     description: 'python-zeroconf is actively developed, with api changes/breaks occasionally - it is safer to bundle a static version where permitted.'
 )

## warpinator 1.6.2+victoria

=== debian/changelog ===
warpinator (1.6.2+victoria) victoria; urgency=medium

  [ Bobby Rong ]
  * Possible remaining_count fixes (#174)

  [ Benjamin Loison ]
  * Correct a typo in `README.md` (#175)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.

  [ Benjamin Loison ]
  * Add `bash` syntax highlighting to `README.md` (#176)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 12:11:26 +0100

warpinator (1.6.1) vera; urgency=medium

  [ Michael Webster ]
  * warpinator-launch.py: Fix bubblewrap launch string.
  * warpinator-send: Give a better error if warpinator isn't running.
  * Add /dev back to bubblewrap args.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Apr 2023 16:07:27 +0100

warpinator (1.6.0) vera; urgency=medium

  [ Michael Webster ]
  * build: Fix deprecation warning.
  * notifications: Fix indentation.
  * Improve some logging.
  * remote: Improve readability of rpc calls.
  * Migrate group code and connect ids to gsettings.
  * Include the python landlock module.
  * Implement incoming folder isolation.
  * Improve incoming file path validation.
  * Forbid some locations from being chosen as the save folder.
  * Check if recents can be written to before attempting it.
  * Move some util functions into a new file.
  * Add warpinator-send utility.
  * bubblewrap: Fixes for debian/lmde.
  * transfers.py: Use generic getter for file content type.
  * build: Fix dh_python3 byte-compilation.
  * Simplify startup scripts.
  * Remove some remnants of a previous grpc version.
  * free space monitor: Improve readability, comments.
  * free space: Don't run the monitor when only sending files.
  * Clean up --help information, add a new section to the README to explain landlock, bubblewrap.
  * Add an infobar for a sandbox warning.
  * Cleanup bubblewrap arguments, sandbox_mode setting, exit if the user specifies a mode that isn't available, explain file manager launch complexities.
  * Simpliy NewThreadExecutor a bit.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Apr 2023 11:44:04 +0100

warpinator (1.4.5) vera; urgency=medium

  [ Michael Webster ]
  * Move default save folder to ~/Downloads/Warpinator.
  * Only raise the window the first time it's noticed that the save folder is bad.
  * remote_registration: Do not loop registration attempts.

  [ hduelme ]
  * replace equality None check with identity None check (#152)

  [ Michael Webster ]
  * Update README.md firewall section, and update the ufw script.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Feb 2023 09:55:21 +0000

## warpinator 1.6.3+victoria

=== debian/changelog ===
warpinator (1.6.3+victoria) victoria; urgency=medium

  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:04:03 +0100

warpinator (1.6.2) victoria; urgency=medium

  [ Bobby Rong ]
  * Possible remaining_count fixes (#174)

  [ Benjamin Loison ]
  * Correct a typo in `README.md` (#175)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.

  [ Benjamin Loison ]
  * Add `bash` syntax highlighting to `README.md` (#176)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 12:11:26 +0100

## warpinator 1.6.4

=== debian/changelog ===
warpinator (1.6.4-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Use system python3-zeroconf and grpc.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Aug 2023 05:23:27 -0700

warpinator (1.6.4+victoria) victoria; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Allow to override build date with SOURCE_DATE_EPOCH (#178)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:23:10 +0200

warpinator (1.6.3) victoria; urgency=medium

  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:04:03 +0100

=== debian/control ===
Source: warpinator
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: appstream,
               curl,
               debhelper-compat (= 12),
               dh-python,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection,
               meson (>= 0.45.0),
               policykit-1,
               python3-grpc-tools (>= 1.14.0),
               python3-protobuf (>= 3.6.1),
               python3-zeroconf
Standards-Version: 3.9.6

Package: warpinator
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-glib-2.0,
         gir1.2-gtk-3.0 (>= 3.20.0),
         gir1.2-xapp-1.0 (>= 1.6.0),
         python3,
         python3-cryptography,
         python3-gi,
         python3-grpcio (>= 1.16.0),
         python3-ifaddr,
         python3-nacl,
         python3-netaddr,
         python3-netifaces,
         python3-protobuf (>= 3.6.1),
         python3-setproctitle,
         python3-xapp (>= 1.6.0),
         python3-zeroconf,
         ${misc:Depends},
         ${python3:Depends}
Description: Allows simple local network file sharing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dbundle-grpc-with-py310=false \
	    -Dbundle-zeroconf=false

override_dh_python3:
	dh_python3 usr/libexec/warpinator

## warpinator 1.6.4%2Bvictoria

=== meson_options.txt ===
--- 
+++ 
@@ -14,6 +14,12 @@
     description: 'python-zeroconf is actively developed, with api changes/breaks occasionally - it is safer to bundle a static version where permitted.'
 )
 
+option('bundle-landlock',
+    type: 'boolean',
+    value: true,
+    description: 'Include the landlock python module (https://github.com/Edward-Knight/landlock).'
+)
+
 option('bundle-grpc-with-py310',
     type: 'boolean',
     value: false,

## warpinator 1.6.4+faye

=== debian/changelog ===
warpinator (1.6.4+faye) victoria; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Allow to override build date with SOURCE_DATE_EPOCH (#178)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:23:10 +0200

## warpinator 1.7.0+victoria

=== debian/changelog ===
warpinator (1.7.0+victoria) unstable; urgency=medium

  [ Michael Webster ]
  * Don't allow bubblewrap mode in Flatpak builds.
  * README markdown: Switch to using relative image paths.
  * Add issue templates.
  * Fix readme link in bug_report.yaml
  * Allow /run/media/* for a save location, as some systems mount removable drives there (like Steam Deck).
  * Update README, fix a typo, add a link to another Window's version in the no-remotes page, link to the README from the bad-folder page.
  * Add issue link to bug report template.

  [ FriedrichFroebel ]
  * fix NameError for 'sleep' (#187)

  [ Michael Webster ]
  * warpinator.py: Set our own dbus StatusIcon name.
  * notifications.py: Show the recipient (not the sender) in the local notification when using warpinator-send.
  * warpinator-send.in: Remove a comment leftover from copy/paste.
  * thread pool: Always use a minimum of 4 threads.
  * warpinator-send: Allow uris and paths.
  * save folder: Fully resolve the save location before performing any path safety checks.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Oct 2023 18:20:20 +0100

warpinator (1.6.4) victoria; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Allow to override build date with SOURCE_DATE_EPOCH (#178)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:23:10 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dbundle-grpc-with-py310=true

override_dh_python3:
	dh_python3 usr/libexec/warpinator

## warpinator 1.8.0+virginia

=== debian/changelog ===
warpinator (1.8.0+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * Include and build grpc 1.59 and protobuf 4.24.4.
  * Regenerate protobuf files.
  * Increase startup server timeout.
  * Bundle zeroconf instead of downloading at build time.
  * Update deb build, readme, dependencies, .gitignore.
  * Update note in generate-protobuf.

  [ Pavel H ]
  * Manual connection (#182)

  [ Michael Webster ]
  * Tweak layout of manual connect dialog, and simplify translations.
  * warpinator.py: Fix dbus method failing when the network is down.
  * warpinator.py: Disable manual connection when there is no server.
  * manual connect: Use a glade file, tweak some more.
  * manual connect: Fix qr code rendering for different ui scales.
  * warpinator.py: Remove invalid line.

  [ Michael Webster ]
  * Don't allow bubblewrap mode in Flatpak builds.
  * README markdown: Switch to using relative image paths.
  * Add issue templates.
  * Fix readme link in bug_report.yaml
  * Allow /run/media/* for a save location, as some systems mount removable drives there (like Steam Deck).
  * Update README, fix a typo, add a link to another Window's version in the no-remotes page, link to the README from the bad-folder page.
  * Add issue link to bug report template.

  [ FriedrichFroebel ]
  * fix NameError for 'sleep' (#187)

  [ Michael Webster ]
  * warpinator.py: Set our own dbus StatusIcon name.
  * notifications.py: Show the recipient (not the sender) in the local notification when using warpinator-send.
  * warpinator-send.in: Remove a comment leftover from copy/paste.
  * thread pool: Always use a minimum of 4 threads.
  * warpinator-send: Allow uris and paths.
  * save folder: Fully resolve the save location before performing any path safety checks.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Nov 2023 16:07:07 +0000

## warpinator 1.8.1+virginia

=== debian/changelog ===
warpinator (1.8.1+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:16:22 +0000

warpinator (1.8.0) virginia; urgency=medium

  [ Michael Webster ]
  * Include and build grpc 1.59 and protobuf 4.24.4.
  * Regenerate protobuf files.
  * Increase startup server timeout.
  * Bundle zeroconf instead of downloading at build time.
  * Update deb build, readme, dependencies, .gitignore.
  * Update note in generate-protobuf.

  [ Pavel H ]
  * Manual connection (#182)

  [ Michael Webster ]
  * Tweak layout of manual connect dialog, and simplify translations.
  * warpinator.py: Fix dbus method failing when the network is down.
  * warpinator.py: Disable manual connection when there is no server.
  * manual connect: Use a glade file, tweak some more.
  * manual connect: Fix qr code rendering for different ui scales.
  * warpinator.py: Remove invalid line.

  [ Michael Webster ]
  * Don't allow bubblewrap mode in Flatpak builds.
  * README markdown: Switch to using relative image paths.
  * Add issue templates.
  * Fix readme link in bug_report.yaml
  * Allow /run/media/* for a save location, as some systems mount removable drives there (like Steam Deck).
  * Update README, fix a typo, add a link to another Window's version in the no-remotes page, link to the README from the bad-folder page.
  * Add issue link to bug report template.

  [ FriedrichFroebel ]
  * fix NameError for 'sleep' (#187)

  [ Michael Webster ]
  * warpinator.py: Set our own dbus StatusIcon name.
  * notifications.py: Show the recipient (not the sender) in the local notification when using warpinator-send.
  * warpinator-send.in: Remove a comment leftover from copy/paste.
  * thread pool: Always use a minimum of 4 threads.
  * warpinator-send: Allow uris and paths.
  * save folder: Fully resolve the save location before performing any path safety checks.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Nov 2023 16:07:07 +0000

## warpinator 1.8.2+virginia

=== debian/changelog ===
warpinator (1.8.2+virginia) virginia; urgency=medium

  [ Sviatoslav ]
  * Remove duplicate line in ProcessTransferOpRequest handler

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:46:30 +0000

warpinator (1.8.1) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:16:22 +0000

## warpinator 1.8.3

=== debian/changelog ===
warpinator (1.8.3-1mx23) mx; urgency=medium

  * Rebuild for MX Linux.
  * Change to source format 3.0 (quilt).
  * Don't build -debug package.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Apr 2024 21:14:51 -0700

warpinator (1.8.3) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:03:30 +0000

warpinator (1.8.2) virginia; urgency=medium

  [ Sviatoslav ]
  * Remove duplicate line in ProcessTransferOpRequest handler

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:46:30 +0000

=== debian/control ===
Source: warpinator
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 cython3-legacy | cython3,
 curl,
 dh-python,
 libpolkit-gobject-1-dev,
 meson (>= 0.45.0),
 pkg-config,
 policykit-1,
 python3-dev,
 python3-setuptools,
 gobject-introspection
Standards-Version: 3.9.6

Package: warpinator
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0 (>= 3.20.0),
 gir1.2-xapp-1.0 (>= 1.6.0),
 python3,
 python3-async-timeout | python3 (>= 3.11.0),
 python3-gi,
 python3-setproctitle,
 python3-xapp (>= 1.6.0),
 python3-cryptography,
 python3-nacl,
 python3-netaddr,
 python3-netifaces,
 python3-ifaddr,
 python3-qrcode,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Allows simple local network file sharing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

override_dh_python3:
	dh_python3 usr/libexec/warpinator

override_dh_auto_test:

override_dh_dwz:
	dh_dwz --no-dwz-multifile

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## warpinator 1.8.3+faye

=== debian/changelog ===
warpinator (1.8.3+faye) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:03:30 +0000

## warpinator 1.8.3+virginia

=== debian/changelog ===
warpinator (1.8.3+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:03:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: warpinator
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper-compat (= 12),
- cython3-legacy | cython3,
+ cython3,
  curl,
  dh-python,
- libpolkit-gobject-1-dev,
  meson (>= 0.45.0),
- pkg-config,
  policykit-1,
  python3-dev,
  python3-setuptools,
@@ -39,3 +36,15 @@
  ${python3:Depends},
  ${shlibs:Depends}
 Description: Allows simple local network file sharing.
+
+Package: warpinator-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends:
+ warpinator (= ${binary:Version}),
+ ${misc:Depends},
+Description: Allows simple local network file sharing.
+ .
+ This package contains the debugging symbols for the bundled
+ grpcio and protobuf modules.

## warpinator 1.8.3+wilma

=== debian/changelog ===
warpinator (1.8.3+wilma) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:03:30 +0000
